dumpshm(1)

NAME
dumpshm - Gnash LocalConnection Memory Dumper

Synopsis

dumpshm (options)... (file)...

DESCRIPTION
When any SWF player, including Gnash, plays a SWF "movie", the movie can contain scripts. These scripts can call ActionScript classes. One such class is LocalConnection. LocalConnection passes objects from one movie to another, via your computer's shared memory system.

Dumpshm prints these shared memory segments, which are comprised of a header, and a collection of SWF AMF Objects created by the movie. It is used for debugging (or understanding the operation of) a SWF movie.

-h  Print usage info.

-i  Find the key for an existing memory segment.

-r  Dump memory segment to the terminal.

-c  Dump memory segment to a disk file, segment.raw.

-v  Verbose output.